#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXTGNOME .. $*

# The standard list of packages
pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE XMLPARSER INTLTOOL GETTEXT PKG-CONFIG LIBXML LIBFFI GLIB LIBGSF"

# libiconv was found to be necessary on the latest DL mac (2013)
# This triggered the need for 'cups' as well, not because libiconv needed it, but due to
# glib getting a conflict during its configure stage over the version of iconv

# Mac 11/12 (Lion/Mountain Lion) need CUPS. Mac 9/10 (Leopard, Snow Leopard) don't need it and gnome-lib fails to compile with it.
osversion=`uname -r | sed 's/\..*$//'`;
if [ "x$GSDLOS" = "xdarwin" -a $osversion -ge 11 ] ; then
    pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE XMLPARSER INTLTOOL CUPS LIBICONV GETTEXT PKG-CONFIG LIBXML LIBFFI GLIB LIBGSF"    
fi

if [ "x$crossOS" != "x" ] ; then
  # cross compiling
  windows_pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE INTLTOOL LIBICONV GETTEXT LIBXML GLIB LIBGSF"

  android_pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE INTLTOOL LIBICONV GETTEXT LIBXML DBUS LIBFFI GLIB LIBGSF"


  if [ $crossOS = "android" ] ; then
    pkglist=$android_pkglist
  elif [ $crossOS = "windows" ] ; then
    pkglist=$windows_pkglist
  fi

fi

for d in $pkglist; do
 
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done

if [ $install = "1" ] ; then
  touch "$GEXTGNOME_INSTALLED/lib/pkgconfig/.fixed-prefix.awk"
fi

if [ $makedist = "1" ] ; then
  rm -f "$GEXTGNOME_INSTALLED/lib/pkgconfig/.fixed-prefix.awk"
  lalist=`find $GEXTGNOME_INSTALLED/lib -name "*.la"`
  if [ -n "$lalist" ] ; then
    rm -f $lalist
  fi
fi
